[Openvas-devel] Preparing OpenVAS 4 Beta 1

Randal T. Rioux randy at procyonlabs.com
Sat Nov 13 18:12:53 CET 2010


On 11/11/2010 2:24 PM, Jan-Oliver Wagner wrote:
> Hi,
> 
> here is an updated plan for OpenVAS 4 Beta 1.
> 
> Components:
> 
> openvas-libraries 3.2+beta1 or 4.0+beta1
>   -> I am yet undecided whether it should be 4.0 or
>        just 3.2. Opinions?
> 
> openvas-scanner 3.2+beta1
> 
> openvas-manager 2.0+beta1
> 
> openvas-administrator 0.9.0
>   -> I hope we find the time to clean it up and release
>        it as 1.0-rc1. It seems to do the job quite well, at
>        least no major problems are reported.
>   (remains compatible with OpenVAS 3.1)
> 
> gsa 2.0+beta1
> 
> gsd 1.0+rc2
>   (remains compatible with OpenVAS 3.1)
> 
> openvas-cli 1.0.2
>   (remains compatible with OpenVAS 3.1)

One thing I've noticed that makes adoption of OpenVAS to the general
masses difficult is this frightening collection of inter-dependencies
and confusing version system.

What made Nessus suck (installation-wise) was just this. Now it is only
one file, that contains everything you need for the Nessus server.

Why can't we bundle this stuff (client-aside) and stick with one version
number?

Randy


More information about the Openvas-devel mailing list